Subject: Emergency BLANKET Holds 90% of Body Heat (NASA Design)!

From: "Amazing Survival Blanket" <[email-masked]>
Date: Thu, 12 Jan 2017 12:23:41 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.